Your submission was sent successfully! Close

CVE-2018-16949

Published: 12 September 2018

An issue was discovered in OpenAFS before 1.6.23 and 1.8.x before 1.8.2. Several data types used as RPC input variables were implemented as unbounded array types, limited only by the inherent 32-bit length field to 4 GB. An unauthenticated attacker could send, or claim to send, large input values and consume server resources waiting for those inputs, denying service to other valid connections.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
openafs
Launchpad, Ubuntu, Debian
Upstream
Released (1.8.2-1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(1.8.4~pre1-1ubuntu2)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1.8.4~pre1-1ubuntu2)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.8.4~pre1-1ubuntu2)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needs-triage)